# -*- coding: utf-8 -*-
# get_geolocation.py
#
# Coded by: Koji KITANO <koji.kitano52@gmail.com>,
# Human Systems Laboratory, Department of Systems Science,
# Graduate School of Informatics, Kyoto University.


import json
import requests

# APIの場所
URL = "https://www.googleapis.com/geolocation/v1/geolocate"

# APIキー
API_KEY = 'AIzaSyCQ2pOzsISCn8KRouq0MW3hpT4cWVsAX9k'

def get_geolocation(url=URL, api_key=API_KEY):
    """ 現在の位置情報を取得する関数
    Arguments
    ---------
    None

    Return
    ------
    lat: float
        lattitude
    lon: float
        longtitude
    """

    params = {'key': api_key}

    response = requests.post(url, params=params, verify=False).json()

    if 'error' in response:
        # エラーの場合は京都大学
        print(response['error']['message'])
        lat, lon = 35.0262378, 135.780817
    else:
        lat = response['location']['lat']
        lon = response['location']['lng']
    return lat, lon


if __name__ == '__main__':
    res = get_geolocation()
    print(res)
