# -*- coding: utf-8 -*-
# test_tcp.py
#
# Coded by: Koji KITANO <koji.kitano52@gmail.com>,
# Human Systems Laboratory, Department of Systems Science,
# Graduate School of Informatics, Kyoto University.


# -*- coding: utf-8 -*-
import socket

def server(host):
    s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    s.bind(('', 50007))    # 指定したホスト(IP)とポートをソケットに設定
    s.listen(1)                     # 1つの接続要求を待つ
    soc, addr = s.accept()          # 要求が来るまでブロック
    print("Conneted by"+str(addr))  #サーバ側の合図

    while (1):
        data = input("Server>") # 入力待機(サーバー側)
        soc.send(data.encode('utf-8'))              # ソケットにデータを送信
        data = soc.recv(1024).decode('utf-8')     # データを受信（1024バイトまで）
        print("Client>",data)       # サーバー側の書き込みを表示
        if data == "q":             # qが押されたら終了
            soc.close()
            break

def client(host):
    soc = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    soc.connect((host, 50007))

    while(1):
        data = soc.recv(1024)
        print("Server>", data.decode('utf-8'))      # サーバー側の書き込みを表示
        data = input("Client>") # 入力待機
        soc.send(data.encode('utf-8'))              # ソケットに入力したデータを送信

        if data == "q":             # qが押されたら終了
            soc.close()
            break

if __name__ == '__main__':
    import sys
    host = sys.argv[2]
    if sys.argv[1]=='1':
        client(host)
    else:
        server(host)
