# -*- coding: utf-8 -*-
# test_udp.py.py
#
# Coded by: Koji KITANO <koji.kitano52@gmail.com>,
# Human Systems Laboratory, Department of Systems Science,
# Graduate School of Informatics, Kyoto University.

import socket

def client(host, port):
    udp = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)

    udp.bind(('', 1234))

    udp.sendto(b'unchi', (host, 1231))

    data, addr = udp.recvfrom(5)

    print('received' + data.decode("utf-8") )

def server(host, port):
    udp = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)

    udp.bind(('', 1231))

    udp.sendto(b'unchi', (host, 1234))

    data, addr = udp.recvfrom(5)

    print('received' + data.decode("utf-8") )


if __name__ == '__main__':
    from threading import Thread

    host = socket.gethostname()

    th_client = Thread(target=client, args=(host, 123))
    th_server = Thread(target=server, args=(host, 123))


    th_client.start()
    th_server.start()
